- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Core
- SkeletonLoader
- Qt 6.7.2 Reference Documentation

# SkeletonLoader QML Type

Used to load a skeleton of joints from file. More...

Import Statement: | import Qt3D.Core 2.7
Inherits: | AbstractSkeleton

- List of all members, including inherited members

## Properties

- source : url
- status : SkeletonLoader.Status

## Detailed Description

Use SkeletonLoader if you wish to load a whole skeleton from file rather than creating the joints yourself using Skeleton and Joints. Creating a skeleton and binding the vertices of a mesh to the skeleton is most easily performed in a 3D digital content creation tool such as Blender. The resulting skeleton and mesh can then be exported in a suitable format such as glTF 2 for consumption by Qt 3D.

## Property Documentation

source : url

Holds the source url from which to load the skeleton.

status : SkeletonLoader.Status

Holds the current status of skeleton loading.